For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGet all banners.
      • POSTCreate a banner.
      • PUTUpdate a banner.
      • DELDelete a banner.
      • POSTEnables a banner.
      • POSTDisables a banner.

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIBanners

Create a banner.

||View as Markdown|
POST
https://app.unleash-instance.example.com/api/admin/banners
POST
/api/admin/banners
$curl -X POST https://app.unleash-instance.example.com/api/admin/banners \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "message": "**Reminder to everyone**: Maintenance is scheduled for *2337-12-27*."
>}'
1{
2 "id": 7,
3 "message": "**Reminder to everyone**: Maintenance is scheduled for *2337-12-27*.",
4 "createdAt": "2023-12-27T13:37:00+01:00",
5 "enabled": true,
6 "variant": "info",
7 "sticky": true,
8 "icon": "build",
9 "link": "dialog",
10 "linkText": "Learn more",
11 "dialogTitle": "Learn more about it here",
12 "dialog": "# Information\n\nMaintenance is **scheduled**.\n\n## More details\n\nThis is an example dialog that supports Markdown."
13}

Enterprise feature

Creates a new banner.

Was this page helpful?
Previous

Update a banner.

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Request

createBannerSchema
messagestringRequired
The message to display to all users. Supports markdown.
enabledbooleanOptional
Whether the banner should be displayed currently. If not specified, defaults to true.
variantstringOptional
The variant of the banner. One of "info", "warning", "error", or "success". If not specified, defaults to "info".
stickybooleanOptional

Whether the banner should be sticky on the screen. If not specified, defaults to false.

iconstring or nullOptional

The icon to display on the banner. Can be one of https://fonts.google.com/icons. If not specified, this will be the default icon for the variant. If “none”, no icon will be displayed.

linkstring or nullOptional

The link to display on the banner. Can either be an absolute or a relative link (e.g. absolute: “https://example.com” or relative: “/admin/service-accounts”). If “dialog”, will display a dialog when clicked. If not specified, no link will be displayed.

linkTextstring or nullOptional
The text to display on the link. If not specified, will be displayed as "More info".
dialogTitlestring or nullOptional

The title to display on the dialog. If not specified, this will be the same as linkText.

dialogstring or nullOptional
The markdown to display on the dialog. If not specified, no dialog will be displayed.

Response headers

locationstring
The location of the newly created resource.

Response

The resource was successfully created.
idinteger>=1
The banner's ID. Banner IDs are incrementing integers. In other words, a more recently created banner will always have a higher ID than an older one.
messagestring
The message to display to all users. Supports markdown.
createdAtstringformat: "date-time"
The date and time of when the banner was created.
enabledboolean
Whether the banner should be displayed currently. If not specified, defaults to true.
variantstring
The variant of the banner. One of "info", "warning", "error", or "success". If not specified, defaults to "info".
stickyboolean

Whether the banner should be sticky on the screen. If not specified, defaults to false.

iconstring or null

The icon to display on the banner. Can be one of https://fonts.google.com/icons. If not specified, this will be the default icon for the variant. If “none”, no icon will be displayed.

linkstring or null

The link to display on the banner. Can either be an absolute or a relative link (e.g. absolute: “https://example.com” or relative: “/admin/service-accounts”). If “dialog”, will display a dialog when clicked. If not specified, no link will be displayed.

linkTextstring or null
The text to display on the link. If not specified, will be displayed as "More info".
dialogTitlestring or null

The title to display on the dialog. If not specified, this will be the same as linkText.

dialogstring or null
The markdown to display on the dialog. If not specified, no dialog will be displayed.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
415
Unsupported Media Type Error